Debian Bug report logs - #701141
libnss3-tools: missing many of the utilities that come with NSS, such as symkeyutil

version graph

Package: libnss3-tools; Maintainer for libnss3-tools is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>; Source for libnss3-tools is src:nss.

Reported by: Matthew Hall <mhall@mhcomputing.net>

Date: Fri, 22 Feb 2013 01:45:02 UTC

Severity: important

Tags: patch

Fixed in version nss/2:3.15.3.1-1.1

Done: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 22 Feb 2013 01:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Hall <mhall@mhcomputing.net>:
New Bug report received and forwarded. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 22 Feb 2013 01:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthew Hall <mhall@mhcomputing.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libnss3-tools: missing many of the utilities that come with NSS, such as symkeyutil
Date: Thu, 21 Feb 2013 17:36:05 -0800
Package: libnss3-tools
Severity: important

Several utilities that are important for working with libnss are missing from 
this package.

The following are included:

/usr/bin/modutil
/usr/bin/cmsutil
/usr/bin/pwdecrypt
/usr/bin/crlutil
/usr/bin/certutil
/usr/bin/pk12util
/usr/bin/shlibsign
/usr/bin/ssltap
/usr/bin/signver
/usr/bin/signtool

However, it's impossible to view any symmetric keys in the database because 
symkeyutil is missing, along with a great many other NSS utilities.

It would be really good for this package if every potentially useful utility 
could be included so that functionality isn't impaired by leaving out some 
arbitrarily.

Regards,
Matthew.

addbuiltin
atob
btoa
certcgi
certutil
checkcert
crlutil
crmf-cgi
dbck
derdump
digest
ecperf
httpserv
lib
libpkix
listsuites
Makefile
makepqg
modutil
multinit
ocspclnt
ocspresp
oidcalc
p7content
p7env
p7sign
p7verify
pk11mode
pk11util
pk12util
pk1sign
pkix-errcodes
pp
ppcertdata
pwdecrypt
rsaperf
rsapoptst
samples
selfserv
shlibsign
signtool
signver
smimetools
ssltap
strsclnt
symkeyutil
tstclnt
vfychain
vfyserv



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 22 Mar 2013 02:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 22 Mar 2013 02:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 701141@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 701141@bugs.debian.org
Cc: 701141-submitter@bugs.debian.org, Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Subject: [PATCH 1/2] debian/rules: simplify view of shipped binaries for libnss3-tools
Date: Thu, 21 Mar 2013 22:54:17 -0400
---
 debian/rules |   14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

diff --git a/debian/rules b/debian/rules
index 74166be..839dfd4 100755
--- a/debian/rules
+++ b/debian/rules
@@ -83,8 +83,18 @@ override_dh_auto_install: $(PREPROCESS_FILES:.in=)
 	install -m 755 -t debian/libnss3-dev/usr/bin debian/nss-config
 
 	install -m 755 -t debian/libnss3-tools/usr/bin \
-		$(foreach bin,certutil cmsutil crlutil modutil pk12util shlibsign signtool signver ssltap pwdecrypt, \
-		$(DISTDIR)/bin/$(bin))
+		$(foreach bin, \
+			certutil \
+			cmsutil \
+			crlutil \
+			modutil \
+			pk12util \
+			pwdecrypt \
+			shlibsign \
+			signtool \
+			signver \
+			ssltap \
+	 	, $(DISTDIR)/bin/$(bin))
 
 override_dh_strip:
 	dh_strip -a --dbg-package=libnss3-dbg
-- 
1.7.10.4




Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 22 Mar 2013 02:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 22 Mar 2013 02:57:07 GMT) Full text and rfc822 format available.

Message #15 received at 701141@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 701141@bugs.debian.org
Cc: 701141-submitter@bugs.debian.org, Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Subject: [PATCH 2/2] add several useful crypto utilities to libnss3-tools (Closes: #701141)
Date: Thu, 21 Mar 2013 22:54:18 -0400
Listed below are the tools in mozilla/dist/bin which we could ship in
debian's libnss3-tools package (see http://bugs.debian.org/701141)

I'm noting my consideration here about which tools to ship or not
ship.

"YES" means the binary was already shipped in 2:3.14.3-1
"NO" means we should not ship
"ADD" means we should ship

(these last two categories are my own opinion, and i'm willing to be
convinced otherwise)

addbuiltin - output certs in suitable format for builtin trust module - ADD
atob - base64 decoding: already handled by /usr/bin/base64 (coreutils) - NO
baddbdir - no useful help output or documentation aside from source - NO
bltest - cannot find libfreebl3.so via libdl, despite it being in /usr/lib/x86_64-linux-gnu/nss - NO
btoa - base64 encoding: already handled by /usr/bin/base64 (coreutils) - NO
certcgi - no useful help output or documentation aside from source - NO
certutil - YES
checkcert - segfaults when tested - NO
chktest - verification counterpoint for shlibsign - ADD
cmsutil - YES
conflict - no useful help output or documentation aside from source - NO
crlutil - YES
crmftest - i do not know what CRMF/CMMF files are - NO
dbtest - basic NSS db verification (name fairly generic, but no existing conflicts) - ADD
derdump - ASN.1 parser/explainer - ADD
dertimetest - no useful help output or documentation aside from source - NO
digest - error: "NSS_Init failed in directory /tmp" - looks like it would be useful as a counterpoint to "openssl dgst" if it weren't for this hardcoded path - NO
encodeinttest - no useful help output or documentation aside from source - NO
fipstest - no useful help output or documentation aside from source - NO
httpserv - appears to be an HTTP echo server (just returns the request headers as Content-Type: text/plain) - ADD
listsuites - no useful help output or documentation aside from source - NO
lowhashtest - same problem as bltest - NO
makepqg - equivalent of certtool --generate-dh-params - NO
mangle - "Usage:mangle -i shared_library_name -o byte_offset -b bit" - no useful help output or documentation aside from source - NO
modutil - YES
multinit - initialize up to three NSS databases while doing some key/slot manipulation in one of them (not sure how it's useful?) - NO
nonspr10 - no useful help output or documentation aside from source - NO
ocspclnt - OCSP client - ADD
ocspresp - "runs an internal selftest for OCSP response creation" (not useful?) - NO
oidcalc - no useful help output or documentation aside from source - NO
p7content - decrypt PKCS#7 content (used for S/MIME) - ADD
p7env - encrypt PKCS#7 content (used for S/MIME) - ADD
p7sign - sign PKCS#7 content (used for S/MIME) - ADD
p7verify - verify PKCS#7 signatures (used for S/MIME) - ADD
pk11mode - "pk11mode test program" -- fails for me with "Assertion failure: lib != NULL, at prlink.c:1215" - NO
pk12util - YES
pk1sign - PKCS#1 signing tool - ADD
pkix-errcodes - verbose, does not seem too useful - NO
pp - pretty-print x.509-related key and certificate material (name seems very generic though) - ADD
pwdecrypt - YES
remtest - no useful help output or documentation aside from source - NO
rsaperf - RSA performance checker -- usable with PKCS#11 tokens - ADD
sdrtest - "secret decoder test" - not clear that this is useful outside of development - NO
secmodtest - no useful help output or documentation aside from source - NO
selfserv - looks like an echo server similar to gnutls-serv --echo - ADD
shlibsign - YES
signtool - YES
signver - YES
ssltap - YES
strsclnt - TLS stress tester - makes concurrent connections and handshakes - ADD
symkeyutil - symmetric key utility - poorly documented, could not convince it to add a new key to a test db - ADD
tstclnt - TLS client wrapper like gnutls-cli or "openssl s_client" - very useful - ADD
vfychain - X.509 certificate verification - ADD
vfyserv - verify certificates from remote web site using local NSS store (does not appear to consider intermediate certs offered in the handshake) - ADD
---
 debian/rules |   19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/debian/rules b/debian/rules
index 839dfd4..152a0cb 100755
--- a/debian/rules
+++ b/debian/rules
@@ -84,16 +84,35 @@ override_dh_auto_install: $(PREPROCESS_FILES:.in=)
 
 	install -m 755 -t debian/libnss3-tools/usr/bin \
 		$(foreach bin, \
+			addbuiltin \
 			certutil \
+			chktest \
 			cmsutil \
 			crlutil \
+			dbtest \
+			derdump \
+			httpserv \
 			modutil \
+			ocspclnt \
+			p7content \
+			p7env \
+			p7sign \
+			p7verify \
 			pk12util \
+			pk1sign \
+			pp \
 			pwdecrypt \
+			rsaperf \
+			selfserv \
 			shlibsign \
 			signtool \
 			signver \
 			ssltap \
+			strsclnt \
+			symkeyutil \
+			tstclnt \
+			vfychain \
+			vfyserv \
 	 	, $(DISTDIR)/bin/$(bin))
 
 override_dh_strip:
-- 
1.7.10.4




Added tag(s) patch. Request was from Daniel Kahn Gillmor <dkg@fifthhorseman.net> to control@bugs.debian.org. (Fri, 22 Mar 2013 02:57:10 GMT) Full text and rfc822 format available.

Message sent on to Matthew Hall <mhall@mhcomputing.net>:
Bug#701141. (Fri, 22 Mar 2013 02:57:14 GMT) Full text and rfc822 format available.

Message sent on to Matthew Hall <mhall@mhcomputing.net>:
Bug#701141. (Fri, 22 Mar 2013 02:57:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 22 Mar 2013 05:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Hall <mhall@mhcomputing.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 22 Mar 2013 05:00:03 GMT) Full text and rfc822 format available.

Message #28 received at 701141@bugs.debian.org (full text, mbox):

From: Matthew Hall <mhall@mhcomputing.net>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>,701141-quiet@bugs.debian.org,Daniel Kahn Gillmor <dkg@fifthhorseman.net>,701141@bugs.debian.org
Cc: 701141-submitter@bugs.debian.org
Subject: Re: Bug#701141: [PATCH 2/2] add several useful crypto utilities to libnss3-tools (Closes: #701141)
Date: Thu, 21 Mar 2013 21:47:51 -0700
BEAUTIFUL bug fix. Thank you so much for doing this, it is a big help for usage of NSS, especially symkeyutil, despite the bad documentation I really needed that one so much I had to recompile from deb src and hand copy it into place.
-- 
Sent from my mobile device.

Daniel Kahn Gillmor <dkg@fifthhorseman.net> wrote:

>Listed below are the tools in mozilla/dist/bin which we could ship in
>debian's libnss3-tools package (see http://bugs.debian.org/701141)
>
>I'm noting my consideration here about which tools to ship or not
>ship.
>
>"YES" means the binary was already shipped in 2:3.14.3-1
>"NO" means we should not ship
>"ADD" means we should ship
>
>(these last two categories are my own opinion, and i'm willing to be
>convinced otherwise)
>
>addbuiltin - output certs in suitable format for builtin trust module -
>ADD
>atob - base64 decoding: already handled by /usr/bin/base64 (coreutils)
>- NO
>baddbdir - no useful help output or documentation aside from source -
>NO
>bltest - cannot find libfreebl3.so via libdl, despite it being in
>/usr/lib/x86_64-linux-gnu/nss - NO
>btoa - base64 encoding: already handled by /usr/bin/base64 (coreutils)
>- NO
>certcgi - no useful help output or documentation aside from source - NO
>certutil - YES
>checkcert - segfaults when tested - NO
>chktest - verification counterpoint for shlibsign - ADD
>cmsutil - YES
>conflict - no useful help output or documentation aside from source -
>NO
>crlutil - YES
>crmftest - i do not know what CRMF/CMMF files are - NO
>dbtest - basic NSS db verification (name fairly generic, but no
>existing conflicts) - ADD
>derdump - ASN.1 parser/explainer - ADD
>dertimetest - no useful help output or documentation aside from source
>- NO
>digest - error: "NSS_Init failed in directory /tmp" - looks like it
>would be useful as a counterpoint to "openssl dgst" if it weren't for
>this hardcoded path - NO
>encodeinttest - no useful help output or documentation aside from
>source - NO
>fipstest - no useful help output or documentation aside from source -
>NO
>httpserv - appears to be an HTTP echo server (just returns the request
>headers as Content-Type: text/plain) - ADD
>listsuites - no useful help output or documentation aside from source -
>NO
>lowhashtest - same problem as bltest - NO
>makepqg - equivalent of certtool --generate-dh-params - NO
>mangle - "Usage:mangle -i shared_library_name -o byte_offset -b bit" -
>no useful help output or documentation aside from source - NO
>modutil - YES
>multinit - initialize up to three NSS databases while doing some
>key/slot manipulation in one of them (not sure how it's useful?) - NO
>nonspr10 - no useful help output or documentation aside from source -
>NO
>ocspclnt - OCSP client - ADD
>ocspresp - "runs an internal selftest for OCSP response creation" (not
>useful?) - NO
>oidcalc - no useful help output or documentation aside from source - NO
>p7content - decrypt PKCS#7 content (used for S/MIME) - ADD
>p7env - encrypt PKCS#7 content (used for S/MIME) - ADD
>p7sign - sign PKCS#7 content (used for S/MIME) - ADD
>p7verify - verify PKCS#7 signatures (used for S/MIME) - ADD
>pk11mode - "pk11mode test program" -- fails for me with "Assertion
>failure: lib != NULL, at prlink.c:1215" - NO
>pk12util - YES
>pk1sign - PKCS#1 signing tool - ADD
>pkix-errcodes - verbose, does not seem too useful - NO
>pp - pretty-print x.509-related key and certificate material (name
>seems very generic though) - ADD
>pwdecrypt - YES
>remtest - no useful help output or documentation aside from source - NO
>rsaperf - RSA performance checker -- usable with PKCS#11 tokens - ADD
>sdrtest - "secret decoder test" - not clear that this is useful outside
>of development - NO
>secmodtest - no useful help output or documentation aside from source -
>NO
>selfserv - looks like an echo server similar to gnutls-serv --echo -
>ADD
>shlibsign - YES
>signtool - YES
>signver - YES
>ssltap - YES
>strsclnt - TLS stress tester - makes concurrent connections and
>handshakes - ADD
>symkeyutil - symmetric key utility - poorly documented, could not
>convince it to add a new key to a test db - ADD
>tstclnt - TLS client wrapper like gnutls-cli or "openssl s_client" -
>very useful - ADD
>vfychain - X.509 certificate verification - ADD
>vfyserv - verify certificates from remote web site using local NSS
>store (does not appear to consider intermediate certs offered in the
>handshake) - ADD
>---
> debian/rules |   19 +++++++++++++++++++
> 1 file changed, 19 insertions(+)
>
>diff --git a/debian/rules b/debian/rules
>index 839dfd4..152a0cb 100755
>--- a/debian/rules
>+++ b/debian/rules
>@@ -84,16 +84,35 @@ override_dh_auto_install: $(PREPROCESS_FILES:.in=)
> 
> 	install -m 755 -t debian/libnss3-tools/usr/bin \
> 		$(foreach bin, \
>+			addbuiltin \
> 			certutil \
>+			chktest \
> 			cmsutil \
> 			crlutil \
>+			dbtest \
>+			derdump \
>+			httpserv \
> 			modutil \
>+			ocspclnt \
>+			p7content \
>+			p7env \
>+			p7sign \
>+			p7verify \
> 			pk12util \
>+			pk1sign \
>+			pp \
> 			pwdecrypt \
>+			rsaperf \
>+			selfserv \
> 			shlibsign \
> 			signtool \
> 			signver \
> 			ssltap \
>+			strsclnt \
>+			symkeyutil \
>+			tstclnt \
>+			vfychain \
>+			vfyserv \
> 	 	, $(DISTDIR)/bin/$(bin))
> 
> override_dh_strip:




Information stored :
Bug#701141; Package libnss3-tools. (Fri, 22 Mar 2013 05:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Hall <mhall@mhcomputing.net>:
Extra info received and filed, but not forwarded. (Fri, 22 Mar 2013 05:00:06 GMT) Full text and rfc822 format available.

Message sent on to Matthew Hall <mhall@mhcomputing.net>:
Bug#701141. (Fri, 22 Mar 2013 05:00:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 22 Mar 2013 05:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 22 Mar 2013 05:33:04 GMT) Full text and rfc822 format available.

Message #41 received at 701141@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Matthew Hall <mhall@mhcomputing.net>, 701141@bugs.debian.org
Subject: Re: Bug#701141: [PATCH 2/2] add several useful crypto utilities to libnss3-tools (Closes: #701141)
Date: Fri, 22 Mar 2013 01:28:37 -0400
[Message part 1 (text/plain, inline)]
On 03/22/2013 12:47 AM, Matthew Hall wrote:
> BEAUTIFUL bug fix. Thank you so much for doing this, it is a big help for usage of NSS, especially symkeyutil, despite the bad documentation I really needed that one so much I had to recompile from deb src and hand copy it into place.

Well, it's just a suggestion, really; i would defer to Mike Hommey to
make the final decision here.  Mike, what do you think?

However, i would personally be really happy to have at least tstclnt and
the p7* utilities easily available.

Matthew, could you provide an example of how you use symkeyutil?  i
couldn't convince it to do anything particularly useful in my
experimentation.

	--dkg


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 22 Mar 2013 05:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 22 Mar 2013 05:54:04 GMT) Full text and rfc822 format available.

Message #46 received at 701141@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 701141@bugs.debian.org
Cc: Matthew Hall <mhall@mhcomputing.net>
Subject: Re: Bug#701141: [PATCH 2/2] add several useful crypto utilities to libnss3-tools (Closes: #701141)
Date: Fri, 22 Mar 2013 06:51:04 +0100
On Fri, Mar 22, 2013 at 01:28:37AM -0400, Daniel Kahn Gillmor wrote:
> On 03/22/2013 12:47 AM, Matthew Hall wrote:
> > BEAUTIFUL bug fix. Thank you so much for doing this, it is a big help for usage of NSS, especially symkeyutil, despite the bad documentation I really needed that one so much I had to recompile from deb src and hand copy it into place.
> 
> Well, it's just a suggestion, really; i would defer to Mike Hommey to
> make the final decision here.  Mike, what do you think?

I'm not particularly happy with binaries with pretty generic names
("addbuiltin" is a good example of such) ending up in /usr/bin...
But you can try to convince me otherwise. Or move them in some other
directory.

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 22 Mar 2013 06:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Hall <mhall@mhcomputing.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 22 Mar 2013 06:12:04 GMT) Full text and rfc822 format available.

Message #51 received at 701141@bugs.debian.org (full text, mbox):

From: Matthew Hall <mhall@mhcomputing.net>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>,701141@bugs.debian.org
Subject: Re: Bug#701141: [PATCH 2/2] add several useful crypto utilities to libnss3-tools (Closes: #701141)
Date: Thu, 21 Mar 2013 23:09:03 -0700
[Message part 1 (text/plain, inline)]
Well I have some things I want to encrypt with various symmetric keys, which I am required to protect using NSS's PKCS11 nssdb for reasons of FIPS compliance in my day job. In order to insert these into the nssdb symkeyutil is critical because certutil only supports asymmetric keys with certs.
-- 
Sent from my mobile device.

Daniel Kahn Gillmor <dkg@fifthhorseman.net> wrote:

>On 03/22/2013 12:47 AM, Matthew Hall wrote:
>> BEAUTIFUL bug fix. Thank you so much for doing this, it is a big help
>for usage of NSS, especially symkeyutil, despite the bad documentation
>I really needed that one so much I had to recompile from deb src and
>hand copy it into place.
>
>Well, it's just a suggestion, really; i would defer to Mike Hommey to
>make the final decision here.  Mike, what do you think?
>
>However, i would personally be really happy to have at least tstclnt
>and
>the p7* utilities easily available.
>
>Matthew, could you provide an example of how you use symkeyutil?  i
>couldn't convince it to do anything particularly useful in my
>experimentation.
>
>	--dkg
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 22 Mar 2013 06:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Hall <mhall@mhcomputing.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 22 Mar 2013 06:12:07 GMT) Full text and rfc822 format available.

Message #56 received at 701141@bugs.debian.org (full text, mbox):

From: Matthew Hall <mhall@mhcomputing.net>
To: Mike Hommey <mh@glandium.org>,Daniel Kahn Gillmor <dkg@fifthhorseman.net>,701141@bugs.debian.org
Subject: Re: Bug#701141: [PATCH 2/2] add several useful crypto utilities to libnss3-tools (Closes: #701141)
Date: Thu, 21 Mar 2013 23:10:09 -0700
They could be prefixed with nss- as needed. But it defeats the purpose of libnss-tools package if so many are missing by default.
-- 
Sent from my mobile device.

Mike Hommey <mh@glandium.org> wrote:

>On Fri, Mar 22, 2013 at 01:28:37AM -0400, Daniel Kahn Gillmor wrote:
>> On 03/22/2013 12:47 AM, Matthew Hall wrote:
>> > BEAUTIFUL bug fix. Thank you so much for doing this, it is a big
>help for usage of NSS, especially symkeyutil, despite the bad
>documentation I really needed that one so much I had to recompile from
>deb src and hand copy it into place.
>> 
>> Well, it's just a suggestion, really; i would defer to Mike Hommey to
>> make the final decision here.  Mike, what do you think?
>
>I'm not particularly happy with binaries with pretty generic names
>("addbuiltin" is a good example of such) ending up in /usr/bin...
>But you can try to convince me otherwise. Or move them in some other
>directory.
>
>Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 22 Mar 2013 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 22 Mar 2013 06:33:04 GMT) Full text and rfc822 format available.

Message #61 received at 701141@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Mike Hommey <mh@glandium.org>
Cc: 701141@bugs.debian.org, Matthew Hall <mhall@mhcomputing.net>
Subject: Re: Bug#701141: [PATCH 2/2] add several useful crypto utilities to libnss3-tools (Closes: #701141)
Date: Fri, 22 Mar 2013 02:29:53 -0400
[Message part 1 (text/plain, inline)]
On 03/22/2013 01:51 AM, Mike Hommey wrote:

> I'm not particularly happy with binaries with pretty generic names
> ("addbuiltin" is a good example of such) ending up in /usr/bin...
> But you can try to convince me otherwise. Or move them in some other
> directory.

hm, i think the following new binaries should be unobjectionable in
/usr/bin :

p7content
p7env
p7sign
p7verify
symkeyutil
ocspclnt
chktest
derdump
rsaperf
vfychain
vfyserv


These two TLS client utilities  and two TLS server utilities have
somewhat generic names, but i think are useful enough to ship in
/usr/bin despite the genericness (they can be used along with gnutls-cli
and gnutls-serv and "openssl s_client" and "openssl s_server" to do
interop testing for new TLS clients and servers, for example):

strsclient
tstclnt
httpserv
selfserv

The following three are the most dubious in terms of names:

addbuiltin
pp
dbtest

i'd be fine shipping the last category and optionally the client/server
utilities with an nss- prefix if you think that would be more
acceptable.  I'd rather not move them entirely out of the $PATH if
possible.  and i'd prefer to not rename existing tools that we have
already been shipping in libnss3-tools, of course.

Would you like me to prepare an alternate patch that does that renaming
on one or both groups?

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 22 Mar 2013 06:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Hall <mhall@mhcomputing.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 22 Mar 2013 06:39:04 GMT) Full text and rfc822 format available.

Message #66 received at 701141@bugs.debian.org (full text, mbox):

From: Matthew Hall <mhall@mhcomputing.net>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>,Mike Hommey <mh@glandium.org>
Cc: 701141@bugs.debian.org
Subject: Re: Bug#701141: [PATCH 2/2] add several useful crypto utilities to libnss3-tools (Closes: #701141)
Date: Thu, 21 Mar 2013 23:37:42 -0700
[Message part 1 (text/plain, inline)]
We can always locate them using dpkg if we are unsure of their names, so a prefix or other small adjustment should be fairly innocuous.
-- 
Sent from my mobile device.

Daniel Kahn Gillmor <dkg@fifthhorseman.net> wrote:

>On 03/22/2013 01:51 AM, Mike Hommey wrote:
>
>> I'm not particularly happy with binaries with pretty generic names
>> ("addbuiltin" is a good example of such) ending up in /usr/bin...
>> But you can try to convince me otherwise. Or move them in some other
>> directory.
>
>hm, i think the following new binaries should be unobjectionable in
>/usr/bin :
>
>p7content
>p7env
>p7sign
>p7verify
>symkeyutil
>ocspclnt
>chktest
>derdump
>rsaperf
>vfychain
>vfyserv
>
>
>These two TLS client utilities  and two TLS server utilities have
>somewhat generic names, but i think are useful enough to ship in
>/usr/bin despite the genericness (they can be used along with
>gnutls-cli
>and gnutls-serv and "openssl s_client" and "openssl s_server" to do
>interop testing for new TLS clients and servers, for example):
>
>strsclient
>tstclnt
>httpserv
>selfserv
>
>The following three are the most dubious in terms of names:
>
>addbuiltin
>pp
>dbtest
>
>i'd be fine shipping the last category and optionally the client/server
>utilities with an nss- prefix if you think that would be more
>acceptable.  I'd rather not move them entirely out of the $PATH if
>possible.  and i'd prefer to not rename existing tools that we have
>already been shipping in libnss3-tools, of course.
>
>Would you like me to prepare an alternate patch that does that renaming
>on one or both groups?
>
>	--dkg
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 29 Mar 2013 17:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 29 Mar 2013 17:09:10 GMT) Full text and rfc822 format available.

Message #71 received at 701141@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Mike Hommey <mh@glandium.org>
Cc: 701141@bugs.debian.org, Matthew Hall <mhall@mhcomputing.net>
Subject: Re: Bug#701141: [PATCH 2/2] add several useful crypto utilities to libnss3-tools (Closes: #701141)
Date: Fri, 29 Mar 2013 13:07:50 -0400
Re: Bug#701141: [PATCH 2/2] add several useful crypto utilities to libnss3-tools (Closes: #701141)

On Fri 2013-03-22 02:29:53 -0400, Daniel Kahn Gillmor wrote:

> i'd be fine shipping the last category and optionally the client/server
> utilities with an nss- prefix if you think that would be more
> acceptable.  I'd rather not move them entirely out of the $PATH if
> possible.  and i'd prefer to not rename existing tools that we have
> already been shipping in libnss3-tools, of course.
>
> Would you like me to prepare an alternate patch that does that renaming
> on one or both groups?

Mike, do you have a preference here, or would you accept a patch of
either of these approaches?

Regards,

        --dkg



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 29 Mar 2013 19:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 29 Mar 2013 19:18:04 GMT) Full text and rfc822 format available.

Message #76 received at 701141@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Cc: 701141@bugs.debian.org, Matthew Hall <mhall@mhcomputing.net>
Subject: Re: Bug#701141: [PATCH 2/2] add several useful crypto utilities to libnss3-tools (Closes: #701141)
Date: Fri, 29 Mar 2013 20:16:02 +0100
On Fri, Mar 29, 2013 at 01:07:50PM -0400, Daniel Kahn Gillmor wrote:
> Re: Bug#701141: [PATCH 2/2] add several useful crypto utilities to libnss3-tools (Closes: #701141)
> 
> On Fri 2013-03-22 02:29:53 -0400, Daniel Kahn Gillmor wrote:
> 
> > i'd be fine shipping the last category and optionally the client/server
> > utilities with an nss- prefix if you think that would be more
> > acceptable.  I'd rather not move them entirely out of the $PATH if
> > possible.  and i'd prefer to not rename existing tools that we have
> > already been shipping in libnss3-tools, of course.
> >
> > Would you like me to prepare an alternate patch that does that renaming
> > on one or both groups?
> 
> Mike, do you have a preference here, or would you accept a patch of
> either of these approaches?

The former seems sensible.

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 29 Mar 2013 19:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 29 Mar 2013 19:54:04 GMT) Full text and rfc822 format available.

Message #81 received at 701141@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 701141@bugs.debian.org
Cc: Mike Hommey <mh@glandium.org>, Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Subject: [PATCH] rename the generic utilities with an nss- prefix
Date: Fri, 29 Mar 2013 15:50:18 -0400
---
 debian/rules |    9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/debian/rules b/debian/rules
index 152a0cb..9903275 100755
--- a/debian/rules
+++ b/debian/rules
@@ -84,12 +84,10 @@ override_dh_auto_install: $(PREPROCESS_FILES:.in=)
 
 	install -m 755 -t debian/libnss3-tools/usr/bin \
 		$(foreach bin, \
-			addbuiltin \
 			certutil \
 			chktest \
 			cmsutil \
 			crlutil \
-			dbtest \
 			derdump \
 			httpserv \
 			modutil \
@@ -100,7 +98,6 @@ override_dh_auto_install: $(PREPROCESS_FILES:.in=)
 			p7verify \
 			pk12util \
 			pk1sign \
-			pp \
 			pwdecrypt \
 			rsaperf \
 			selfserv \
@@ -114,6 +111,12 @@ override_dh_auto_install: $(PREPROCESS_FILES:.in=)
 			vfychain \
 			vfyserv \
 	 	, $(DISTDIR)/bin/$(bin))
+	# these utilities are too generically-named, so we prefix them with nss- (see http://bugs.debian.org/701141)
+	$(foreach bin, \
+		addbuiltin \
+		dbtest \
+		pp \
+	 	, install -m 755 -T $(DISTDIR)/bin/$(bin) debian/libnss3-tools/usr/bin/nss-$(bin) ; )
 
 override_dh_strip:
 	dh_strip -a --dbg-package=libnss3-dbg
-- 
1.7.10.4




Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Tue, 14 May 2013 00:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Hall <mhall@mhcomputing.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Tue, 14 May 2013 00:57:04 GMT) Full text and rfc822 format available.

Message #86 received at 701141@bugs.debian.org (full text, mbox):

From: Matthew Hall <mhall@mhcomputing.net>
To: 701141@bugs.debian.org
Subject: update on committing the bugfix
Date: Mon, 13 May 2013 17:42:57 -0700
Hi all,

We've got a great bugfix ready for this, can we get it committed and pushed 
out in an upcoming libnss refresh?

Matthew.



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Thu, 24 Oct 2013 19:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Thu, 24 Oct 2013 19:09:04 GMT) Full text and rfc822 format available.

Message #91 received at 701141@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 701141@bugs.debian.org, Mike Hommey <glandium@debian.org>
Subject: update on shipping more tools in libnss3-tools
Date: Thu, 24 Oct 2013 15:05:37 -0400
[Message part 1 (text/plain, inline)]
Hi Mike--

Any thoughts about shipping more of the tools in libnss3-tools
(http://bugs.debian.org/701141)?  I would find them really useful.

Thanks as always for your work on debian packaging of mozilla projects.

Regards,

     --dkg
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Fri, 01 Nov 2013 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Fri, 01 Nov 2013 22:09:05 GMT) Full text and rfc822 format available.

Message #96 received at 701141@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 701141@bugs.debian.org, 701141-submitter@bugs.debian.org, Mike Hommey <glandium@debian.org>
Subject: Re: update on shipping more tools in libnss3-tools
Date: Fri, 01 Nov 2013 18:05:26 -0400
[Message part 1 (text/plain, inline)]
On Thu 2013-10-24 15:05:37 -0400, Daniel Kahn Gillmor wrote:

> Any thoughts about shipping more of the tools in libnss3-tools
> (http://bugs.debian.org/701141)?  I would find them really useful.

I have still not heard back about this.  It has been several months
since the patch has been available, and over a week since my last query.
I'm currently planning to do an NMU to one of the DELAYED queues unless
I hear any explicit objections.

Please let me know if there are concerns or ways you think this could be
done better.

Thanks,

        --dkg
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Matthew Hall <mhall@mhcomputing.net>:
Bug#701141. (Fri, 01 Nov 2013 22:09:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Mon, 04 Nov 2013 06:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Mon, 04 Nov 2013 06:15:04 GMT) Full text and rfc822 format available.

Message #104 received at 701141@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Cc: 701141@bugs.debian.org, 701141-submitter@bugs.debian.org
Subject: Re: update on shipping more tools in libnss3-tools
Date: Mon, 4 Nov 2013 15:12:33 +0900
On Fri, Nov 01, 2013 at 06:05:26PM -0400, Daniel Kahn Gillmor wrote:
> On Thu 2013-10-24 15:05:37 -0400, Daniel Kahn Gillmor wrote:
> 
> > Any thoughts about shipping more of the tools in libnss3-tools
> > (http://bugs.debian.org/701141)?  I would find them really useful.
> 
> I have still not heard back about this.  It has been several months
> since the patch has been available, and over a week since my last query.
> I'm currently planning to do an NMU to one of the DELAYED queues unless
> I hear any explicit objections.
> 
> Please let me know if there are concerns or ways you think this could be
> done better.

I'm going to prepare an upload of 3.15.3 beta 2 in the coming days with
this addressed.

Mike



Message sent on to Matthew Hall <mhall@mhcomputing.net>:
Bug#701141. (Mon, 04 Nov 2013 06:15:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Mon, 04 Nov 2013 06:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Mon, 04 Nov 2013 06:42:04 GMT) Full text and rfc822 format available.

Message #112 received at 701141@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Mike Hommey <mh@glandium.org>
Cc: 701141@bugs.debian.org, 701141-submitter@bugs.debian.org
Subject: Re: update on shipping more tools in libnss3-tools
Date: Mon, 04 Nov 2013 01:39:02 -0500
On 11/04/2013 01:12 AM, Mike Hommey wrote:
> I'm going to prepare an upload of 3.15.3 beta 2 in the coming days with
> this addressed.

Great.  Thank you, Mike!

	--dkg



Message sent on to Matthew Hall <mhall@mhcomputing.net>:
Bug#701141. (Mon, 04 Nov 2013 06:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Mon, 02 Dec 2013 18:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Mon, 02 Dec 2013 18:06:04 GMT) Full text and rfc822 format available.

Message #120 received at 701141@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Mike Hommey <mh@glandium.org>
Cc: 701141@bugs.debian.org, 701141-submitter@bugs.debian.org
Subject: Re: update on shipping more tools in libnss3-tools
Date: Mon, 02 Dec 2013 13:04:46 -0500
[Message part 1 (text/plain, inline)]
On Mon 2013-11-04 01:12:33 -0500, Mike Hommey wrote:
> On Fri, Nov 01, 2013 at 06:05:26PM -0400, Daniel Kahn Gillmor wrote:
>> On Thu 2013-10-24 15:05:37 -0400, Daniel Kahn Gillmor wrote:
>> 
>> > Any thoughts about shipping more of the tools in libnss3-tools
>> > (http://bugs.debian.org/701141)?  I would find them really useful.
>> 
>> I have still not heard back about this.  It has been several months
>> since the patch has been available, and over a week since my last query.
>> I'm currently planning to do an NMU to one of the DELAYED queues unless
>> I hear any explicit objections.
>> 
>> Please let me know if there are concerns or ways you think this could be
>> done better.
>
> I'm going to prepare an upload of 3.15.3 beta 2 in the coming days with
> this addressed.

libnss3-tools 2:3.15.3-1 is now in both jessie and sid, but it doeesn't
address this change.  Would you like me to do an NMU of 2:3.15.3-1.1
to resolve it?

(i'd be happy to collaborate more directly on this; i'd normally try to
prepare an upload based on the preferred packagin Vcs, but nss 3.15.3-1
is not yet pushed to git://git.debian.org/git/pkg-mozilla/nss.git, so
it's more difficult for me to provide useful patches for future
incorporation.  This is probably due to the recent alioth downtime.
Could you push the latest work on nss packaging to alioth?)

Thanks,

     --dkg
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Matthew Hall <mhall@mhcomputing.net>:
Bug#701141. (Mon, 02 Dec 2013 18:06:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Tue, 03 Dec 2013 19:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Tue, 03 Dec 2013 19:12:04 GMT) Full text and rfc822 format available.

Message #128 received at 701141@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 701141@bugs.debian.org, Mike Hommey <mh@glandium.org>
Cc: 701141@bugs.debian.org, 701141-submitter@bugs.debian.org
Subject: Re: Bug#701141: update on shipping more tools in libnss3-tools
Date: Tue, 03 Dec 2013 14:09:41 -0500
[Message part 1 (text/plain, inline)]
On Mon 2013-12-02 13:04:46 -0500, Daniel Kahn Gillmor wrote:
> libnss3-tools 2:3.15.3-1 is now in both jessie and sid, but it doeesn't
> address this change.  Would you like me to do an NMU of 2:3.15.3-1.1
> to resolve it?

i've gone ahead and made that NMU, with the attached debdiff, and have
uploaded it to DELAYED/2.

Regards,

        --dkg

[nss_3.15.3-1_3.15.3-1.1.debdiff (text/x-diff, inline)]
diff -Nru nss-3.15.3/debian/changelog nss-3.15.3/debian/changelog
--- nss-3.15.3/debian/changelog	2013-11-15 18:51:30.000000000 -0500
+++ nss-3.15.3/debian/changelog	2013-12-03 13:42:54.000000000 -0500
@@ -1,3 +1,10 @@
+nss (2:3.15.3-1.1) unstable; urgency=low
+
+  * Non-Maintainer Upload
+   - ship extra NSS utilities (Closes: #701141)
+
+ -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Dec 2013 13:42:54 -0500
+
 nss (2:3.15.3-1) unstable; urgency=high
 
   * New upstream release.
diff -Nru nss-3.15.3/debian/rules nss-3.15.3/debian/rules
--- nss-3.15.3/debian/rules	2013-11-15 18:49:26.000000000 -0500
+++ nss-3.15.3/debian/rules	2013-12-03 13:42:18.000000000 -0500
@@ -81,8 +81,40 @@
 	install -m 755 -t debian/libnss3-dev/usr/bin debian/nss-config
 
 	install -m 755 -t debian/libnss3-tools/usr/bin \
-		$(foreach bin,certutil cmsutil crlutil modutil pk12util shlibsign signtool signver ssltap pwdecrypt, \
-		$(DISTDIR)/bin/$(bin))
+		$(foreach bin, \
+			certutil \
+			chktest \
+			cmsutil \
+			crlutil \
+			derdump \
+			httpserv \
+			modutil \
+			ocspclnt \
+			p7content \
+			p7env \
+			p7sign \
+			p7verify \
+			pk12util \
+			pk1sign \
+			pwdecrypt \
+			rsaperf \
+			selfserv \
+			shlibsign \
+			signtool \
+			signver \
+			ssltap \
+			strsclnt \
+			symkeyutil \
+			tstclnt \
+			vfychain \
+			vfyserv \
+	 	, $(DISTDIR)/bin/$(bin))
+	# these utilities are too generically-named, so we prefix them with nss- (see http://bugs.debian.org/701141)
+	$(foreach bin, \
+		addbuiltin \
+		dbtest \
+		pp \
+	 	, install -m 755 -T $(DISTDIR)/bin/$(bin) debian/libnss3-tools/usr/bin/nss-$(bin) ; )
 
 override_dh_strip:
 	dh_strip -a --dbg-package=libnss3-dbg
[Message part 3 (application/pgp-signature, inline)]

Message sent on to Matthew Hall <mhall@mhcomputing.net>:
Bug#701141. (Tue, 03 Dec 2013 19:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Wed, 04 Dec 2013 22:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Wed, 04 Dec 2013 22:00:05 GMT) Full text and rfc822 format available.

Message #136 received at 701141@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Cc: 701141@bugs.debian.org, 701141-submitter@bugs.debian.org
Subject: Re: Bug#701141: update on shipping more tools in libnss3-tools
Date: Thu, 5 Dec 2013 06:56:40 +0900
On Tue, Dec 03, 2013 at 02:09:41PM -0500, Daniel Kahn Gillmor wrote:
> On Mon 2013-12-02 13:04:46 -0500, Daniel Kahn Gillmor wrote:
> > libnss3-tools 2:3.15.3-1 is now in both jessie and sid, but it doeesn't
> > address this change.  Would you like me to do an NMU of 2:3.15.3-1.1
> > to resolve it?
> 
> i've gone ahead and made that NMU, with the attached debdiff, and have
> uploaded it to DELAYED/2.

I've cancelled it. I'm going to upload 3.15.4 beta 6 this week. I
realized I said something similar earlier, but there were several
security updates in the meanwhile that prevented me from doing it.

Mike



Message sent on to Matthew Hall <mhall@mhcomputing.net>:
Bug#701141. (Wed, 04 Dec 2013 22:00:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Wed, 04 Dec 2013 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Wed, 04 Dec 2013 22:15:04 GMT) Full text and rfc822 format available.

Message #144 received at 701141@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Cc: 701141@bugs.debian.org, 701141-submitter@bugs.debian.org
Subject: Re: Bug#701141: update on shipping more tools in libnss3-tools
Date: Thu, 5 Dec 2013 07:13:24 +0900
On Thu, Dec 05, 2013 at 06:56:40AM +0900, Mike Hommey wrote:
> On Tue, Dec 03, 2013 at 02:09:41PM -0500, Daniel Kahn Gillmor wrote:
> > On Mon 2013-12-02 13:04:46 -0500, Daniel Kahn Gillmor wrote:
> > > libnss3-tools 2:3.15.3-1 is now in both jessie and sid, but it doeesn't
> > > address this change.  Would you like me to do an NMU of 2:3.15.3-1.1
> > > to resolve it?
> > 
> > i've gone ahead and made that NMU, with the attached debdiff, and have
> > uploaded it to DELAYED/2.
> 
> I've cancelled it. I'm going to upload 3.15.4 beta 6 this week. I
> realized I said something similar earlier, but there were several
> security updates in the meanwhile that prevented me from doing it.

... and just when I write this, there's going to be another security
update... sorry again.

Mike



Message sent on to Matthew Hall <mhall@mhcomputing.net>:
Bug#701141. (Wed, 04 Dec 2013 22:15:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Thu, 12 Dec 2013 16:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Thu, 12 Dec 2013 16:03:04 GMT) Full text and rfc822 format available.

Message #152 received at 701141@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Mike Hommey <mh@glandium.org>
Cc: 701141@bugs.debian.org, 701141-submitter@bugs.debian.org
Subject: Re: Bug#701141: update on shipping more tools in libnss3-tools
Date: Thu, 12 Dec 2013 11:00:16 -0500
[Message part 1 (text/plain, inline)]
On Wed 2013-12-04 17:13:24 -0500, Mike Hommey wrote:
> On Thu, Dec 05, 2013 at 06:56:40AM +0900, Mike Hommey wrote:
>> On Tue, Dec 03, 2013 at 02:09:41PM -0500, Daniel Kahn Gillmor wrote:
>> > On Mon 2013-12-02 13:04:46 -0500, Daniel Kahn Gillmor wrote:
>> > > libnss3-tools 2:3.15.3-1 is now in both jessie and sid, but it doeesn't
>> > > address this change.  Would you like me to do an NMU of 2:3.15.3-1.1
>> > > to resolve it?
>> > 
>> > i've gone ahead and made that NMU, with the attached debdiff, and have
>> > uploaded it to DELAYED/2.
>> 
>> I've cancelled it. I'm going to upload 3.15.4 beta 6 this week. I
>> realized I said something similar earlier, but there were several
>> security updates in the meanwhile that prevented me from doing it.
>
> ... and just when I write this, there's going to be another security
> update... sorry again.

It's now been over a week and no security update or 3.15.4 beta 6 is in
debian.  Had the DELAYED/2 upload not been canceled, at least #701141
would have been resolved in the meantime.

I don't want to step on your toes (in fact, i'd really like to be able
to synchronize my work with yours, which i could do better if the git
repository listed in the debian/control Vcs: headers was up-to-date),
but I don't understand the reason to avoid the fix.

What can i do to help get this resolved?

Thanks for your work on NSS and on the other mozilla packages in debian,
it's much appreciated.

Regards,

     --dkg
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Matthew Hall <mhall@mhcomputing.net>:
Bug#701141. (Thu, 12 Dec 2013 16:03:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Sat, 04 Jan 2014 16:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sat, 04 Jan 2014 16:57:14 GMT) Full text and rfc822 format available.

Message #160 received at 701141@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 701141@bugs.debian.org, 701141-submitter@bugs.debian.org
Subject: NMUing to add extra tools to libnss3-tools
Date: Sat, 04 Jan 2014 11:54:45 -0500
[Message part 1 (text/plain, inline)]
I'm uploading the same NMU of NSS now as 3.15.3.1-1.1, adding several
useful utilities to libnss3-tools (http://bugs.debian.org/701141).

The changes are available in git (including a signed tag) at:

 git://lair.fifthhorseman.net/~dkg/nss

They should be able to be directly pulled into the pkg-mozilla
repository by anyone with write permissions to that repo.

Hope this is helpful!

Regards,

        --dkg
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Matthew Hall <mhall@mhcomputing.net>:
Bug#701141. (Sat, 04 Jan 2014 16:57:17 GMT) Full text and rfc822 format available.

Reply sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
You have taken responsibility. (Sat, 04 Jan 2014 17:06:10 GMT) Full text and rfc822 format available.

Notification sent to Matthew Hall <mhall@mhcomputing.net>:
Bug acknowledged by developer. (Sat, 04 Jan 2014 17:06:10 GMT) Full text and rfc822 format available.

Message #168 received at 701141-close@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 701141-close@bugs.debian.org
Subject: Bug#701141: fixed in nss 2:3.15.3.1-1.1
Date: Sat, 04 Jan 2014 17:04:03 +0000
Source: nss
Source-Version: 2:3.15.3.1-1.1

We believe that the bug you reported is fixed in the latest version of
nss, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701141@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Kahn Gillmor <dkg@fifthhorseman.net> (supplier of updated nss package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 04 Jan 2014 11:34:41 -0500
Source: nss
Binary: libnss3 libnss3-1d libnss3-tools libnss3-dev libnss3-dbg
Architecture: source amd64
Version: 2:3.15.3.1-1.1
Distribution: unstable
Urgency: low
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Changed-By: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Description: 
 libnss3    - Network Security Service libraries
 libnss3-1d - Network Security Service libraries - transitional package
 libnss3-dbg - Debugging symbols for the Network Security Service libraries
 libnss3-dev - Development files for the Network Security Service libraries
 libnss3-tools - Network Security Service tools
Closes: 701141
Changes: 
 nss (2:3.15.3.1-1.1) unstable; urgency=low
 .
   * Non-Maintainer Upload
    - ship extra NSS utilities (Closes: #701141)
Checksums-Sha1: 
 9071cf22940818f1a97303d34b458891ca47262d 2336 nss_3.15.3.1-1.1.dsc
 ab06539b79e7ebefead39d377351781acd982e2a 37417 nss_3.15.3.1-1.1.debian.tar.gz
 ab1a9a5fd9fd5694962f0a9a65739d97d5cc2ab0 1086590 libnss3_3.15.3.1-1.1_amd64.deb
 fa13f73eaf4a4a4ac23f4fbc723b7be274dda5ee 20214 libnss3-1d_3.15.3.1-1.1_amd64.deb
 ccd33d146e242e225c06dfe73709ec2cba329290 743994 libnss3-tools_3.15.3.1-1.1_amd64.deb
 0edebc107f4d5b1b2fd264f04817ec4bf15bfadc 220472 libnss3-dev_3.15.3.1-1.1_amd64.deb
 f756b4c13a66584303a7d25cb882964a9191eab5 8000556 libnss3-dbg_3.15.3.1-1.1_amd64.deb
Checksums-Sha256: 
 4e5c97f15972c05f1032ccd0a7111b286dbef32bf126dc822bae60f76c934aa1 2336 nss_3.15.3.1-1.1.dsc
 dcff3a37f4b567ac02eea137559040d6ed9e7bb3c6cbaf9a35d633fa7c780108 37417 nss_3.15.3.1-1.1.debian.tar.gz
 8063114d0637478cd5b14f61358b34fe774716688ebecdde46e12ac2ed062c2b 1086590 libnss3_3.15.3.1-1.1_amd64.deb
 b8514a85b85b9f87103e34cb56cffd76db61f7fc4927d7a2b9d76f7d9cff798f 20214 libnss3-1d_3.15.3.1-1.1_amd64.deb
 ceaba08629d70fba628622e48392ce3ad2792c8467e180b2726444b002990ef0 743994 libnss3-tools_3.15.3.1-1.1_amd64.deb
 87a96162794fb6fca7ce457f310c9d8305018df866c216b48c80fabd94cacc62 220472 libnss3-dev_3.15.3.1-1.1_amd64.deb
 992b93357d55f7fa639d2e51b262780028077a8b7256c397474d8d7426b4fc39 8000556 libnss3-dbg_3.15.3.1-1.1_amd64.deb
Files: 
 000f31eff4964580719a268d636bcdda 2336 libs optional nss_3.15.3.1-1.1.dsc
 14667738577db5cad0cbde05ad8c14d3 37417 libs optional nss_3.15.3.1-1.1.debian.tar.gz
 a6daa2a4a34b63f3632602cec6f7da9c 1086590 libs optional libnss3_3.15.3.1-1.1_amd64.deb
 733b9db3d8539bb5165382eda4139946 20214 oldlibs extra libnss3-1d_3.15.3.1-1.1_amd64.deb
 a1a44e398ed76f8c4c068bc9d824b86a 743994 admin optional libnss3-tools_3.15.3.1-1.1_amd64.deb
 bfdbbbbadffbfbe779b912b1289d15ab 220472 libdevel optional libnss3-dev_3.15.3.1-1.1_amd64.deb
 3a7b102d0dbfe01a55ca3550b6d2e430 8000556 debug extra libnss3-dbg_3.15.3.1-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQJ8BAEBCgBmBQJSyDr6XxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXRFQjk2OTEyODdBN0FEREUzNzU3RDkxMUVB
NTI0MDFCMTFCRkRGQTVDAAoJEKUkAbEb/fpcvZsP/0tR2Pb5hKuzOl+I8TAX+t/V
zWw5K1AYVCwMhr3IiwPft2Bl5nC+om5IwL3Zd2hk8FkrdcusBSKAMOFWUdUfxVFm
b3Q54/KroP4lmpRD9Rm1ysxuB0Lsnyt7op4d7HYVUpd/NC6nEzANXRoU4X2IrhIe
JgXAEKCQa0KQ+CS61bZkG4qyuKzDJ2TUqFinFsjcSnTTFa3uDQ3LIZXVtplC3F6g
qWZQgYPDp9tjvC77RkMmLbCgNQpcvEszGwLeCWFZKQpmYbH5U8ZgsDaSQHbvf6cW
rAXLsC2AwkDTTP8mdM6vOVvJd+4yh/AXJgS6uJOeyN+gEg0t1hGAHkhCdKzX36Zq
XNgY6kf1GubhSFimgvifyagfZosDR8lbLKrzdEtCAfTuzjSeW5CeOE4xzwVom2yE
I99z/I1x7ZmT7MRuZXicyFHEoUK4lYDGoUKyCCC7GkXKZ9Vyn4uvFiK0oCHPvD2e
Msdm/Z0VYUbRZLZLm3VvKkDlUNNlc0mi3Va4B6yxnRqe2sS1qxjNhLj7OK/BYHR1
qWX6nv5tzdAA9GA5uXm0lIePxUYxozvMLlDheo07cXlSPTUoM4Z6/4ra34avWG8c
6P/+MVSyugpBQEC/jBg8Ic1tscBYd9MdhWWeQVx9LaWKwVyxaLneATX1/OoVm5sJ
CKB3Vt0Irri8U4SinQrb
=Xp9Z
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#701141; Package libnss3-tools. (Tue, 21 Jan 2014 05:42:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Hall <mhall@mhcomputing.net>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Tue, 21 Jan 2014 05:42:11 GMT) Full text and rfc822 format available.

Message #173 received at 701141@bugs.debian.org (full text, mbox):

From: Matthew Hall <mhall@mhcomputing.net>
To: 701141@bugs.debian.org
Cc: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Subject: Testing of bugfix
Date: Mon, 20 Jan 2014 21:28:47 -0800
TL;DR: Daniel, you are awesome, thank you so much! I owe you $BEVERAGE, when 
you are in California (if you ever are) :)

Matthew.

I tested NSS 3.15.4-1 on my Debian unstable system and I can confirm this is 
working perfectly with, for example, symkeyutil:

mhall@desktop:~$ sudo aptitude install libnss3-tools
[sudo] password for mhall: 
The following NEW packages will be installed:
  libnss3-tools 
0 packages upgraded, 1 newly installed, 0 to remove and 1 not upgraded.
Need to get 750 kB of archives. After unpacking 3,897 kB will be used.
Get: 1 http://mirrors.kernel.org/debian/ unstable/main libnss3-tools amd64 2:3.15.4-1 [750 kB]
Fetched 750 kB in 0s (832 kB/s)        
Selecting previously unselected package libnss3-tools.
(Reading database ... 228253 files and directories currently installed.)
Preparing to unpack .../libnss3-tools_2%3a3.15.4-1_amd64.deb ...
Unpacking libnss3-tools (2:3.15.4-1) ...
Setting up libnss3-tools (2:3.15.4-1) ...
                                         
mhall@desktop:~$ symkeyutil
symkeyutil: you must enter a command!
Type symkeyutil -H for more detailed descriptions
Usage:  symkeyutil -L [std_opts] [-r]
        symkeyutil -K [-n name] -t type [-s size] [-i id |-j id_file] [std_opts]
        symkeyutil -D <[-n name | -i id | -j id_file> [std_opts]
        symkeyutil -I [-n name] [-t type] [-i id | -j id_file] -k data_file [std_opts]
        symkeyutil -E  <-nname | -i id | -j id_file> [-t type] -k data_file [-r] [std_opts]
        symkeyutil -U [-n name] [-t type] [-i id | -j id_file] -k data_file <wrap_opts> [std_opts]
        symkeyutil -W <-n name | -i id | -j id_file> [-t type] -k data_file [-r] <wrap_opts> [std_opts]
        symkeyutil -M <-n name | -i id | -j id_file> -g target_token [std_opts]
                 std_opts -> [-d certdir] [-P dbprefix] [-p password] [-f passwordFile] [-h token]
                 wrap_opts -> <-w wrap_name | -x wrap_id | -y id_file>
mhall@desktop:~$ 



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Feb 2014 07:39:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:16:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.